Subject: Re: Help!
From: Christopher Faylor <[email-masked]>
To: "Darin S. Ramzinski" <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Dec 1999 19:55:24 -0500

On Mon, Dec 27, 1999 at 05:46:05PM -0600, Darin S. Ramzinski wrote:
>I'm trying to conigure CPAN in order to retrieve modules.  I keep getting
>the following after I answer all the questions by invoking "perl -MCPAN -e
>shell":
>
>Issuing "/contrib/bin/ftp -n"
>    0       0 [main] d:\Cygwin\contrib\bin\perl.exe 1008 fork_copy: loaded
>dll data/bss pas
>s 0 failed, 0x14043000..0x1404300C, done 0, Win32 error 487
>Caught SIGINT
>    0 1956583 [main] perl 1008 fork_copy: loaded dll data/bss pass 0
>failed, 0x14043000..0x
>1404300C, done 0, Win32 error 487
>218182 2174765 [main] perl 1008 fork_copy: loaded dll data/bss pass 0
>failed, 0x14043000..0
>x1404300C, done 0, Win32 error 487
>.
>.
>.
>
>
>I'm running Windows NT 4.0 with Service Pack 6a installed on a
>Dell Optiplex GXpro (PPro 200 with 150 MB RAM, 8 GB HD).
>
>Any help will be appreciated.

If you're using the version of Cygwin which was released on the Cygwin
CD, then it has problems with perl's method of loading dlls.  I've
added a workaround in newer cygwin snapshots.  You can download snapshots
from:

	http://sourceware.cygnus.com/cygwin/snapshots/

but please read *all* of the information on that web page before downloading.

You'll need to replace the cygwin1.dll on your hard disk with the one you
download.  I'd recommend making a backup copy (i.e. ren cygwin1.dll cygwinsaf.dll).

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]